# Uses of Interface
org.osgi.framework.wiring.BundleRequirement

Packages that use BundleRequirement
Package
Description
org.apache.felix.framework
org.apache.felix.framework.resolver
org.apache.felix.framework.util
org.apache.felix.framework.util.manifestparser
org.apache.felix.framework.wiring
org.osgi.framework.hooks.resolver
Framework Resolver Hooks Package Version 1.0.
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.

## Uses of BundleRequirement in org.apache.felix.framework

Methods in org.apache.felix.framework that return types with arguments of type BundleRequirement
Modifier and Type
Method
Description
`List<BundleRequirement>`
BundleRevisionImpl.`getDeclaredRequirements(String namespace)`
`List<BundleRequirement>`
BundleWiringImpl.`getRequirements(String namespace)`
Methods in org.apache.felix.framework with parameters of type BundleRequirement
Modifier and Type
Method
Description
`List<BundleCapability>`
ResolveContextImpl.`findProviders(BundleRequirement br, boolean obeyMandatory)`
`boolean`
ResolveContextImpl.`isEffective(BundleRequirement br)`

## Uses of BundleRequirement in org.apache.felix.framework.resolver

Classes in org.apache.felix.framework.resolver that implement BundleRequirement
Modifier and Type
Class
Description
`class`
`WrappedRequirement`
Methods in org.apache.felix.framework.resolver that return BundleRequirement
Modifier and Type
Method
Description
`BundleRequirement`
ResolveException.`getRequirement()`
`BundleRequirement`
ResolverWire.`getRequirement()`
Returns the associated requirement from the importing bundle revision that resulted in the creation of this wire.
Methods in org.apache.felix.framework.resolver with parameters of type BundleRequirement
Modifier and Type
Method
Description
`abstract List<BundleCapability>`
ResolveContext.`findProviders(BundleRequirement br, boolean obeyMandatory)`
`abstract boolean`
ResolveContext.`isEffective(BundleRequirement br)`
Constructors in org.apache.felix.framework.resolver with parameters of type BundleRequirement
Modifier
Constructor
Description
``
`ResolveException(String msg, BundleRevision revision, BundleRequirement req)`
Constructs an instance of `ResolveException` with the specified detail message.

## Uses of BundleRequirement in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return types with arguments of type BundleRequirement
Modifier and Type
Method
Description
`static List<BundleRequirement>`
Util.`getDynamicRequirements(List<BundleRequirement> reqs)`
Methods in org.apache.felix.framework.util with parameters of type BundleRequirement
Modifier and Type
Method
Description
`void`
SecureAction.`invokeResolverHookMatches(ResolverHook rh, BundleRequirement req, Collection<BundleCapability> candidates)`
Method parameters in org.apache.felix.framework.util with type arguments of type BundleRequirement
Modifier and Type
Method
Description
`static List<BundleRequirement>`
Util.`getDynamicRequirements(List<BundleRequirement> reqs)`

## Uses of BundleRequirement in org.apache.felix.framework.util.manifestparser

Methods in org.apache.felix.framework.util.manifestparser that return types with arguments of type BundleRequirement
Modifier and Type
Method
Description
`List<BundleRequirement>`
ManifestParser.`getRequirements()`
`static List<BundleRequirement>`
ManifestParser.`parseDynamicImportHeader(Logger logger, BundleRevision owner, String header)`

## Uses of BundleRequirement in org.apache.felix.framework.wiring

Classes in org.apache.felix.framework.wiring that implement BundleRequirement
Modifier and Type
Class
Description
`class`
`BundleRequirementImpl`
Methods in org.apache.felix.framework.wiring that return BundleRequirement
Modifier and Type
Method
Description
`BundleRequirement`
BundleWireImpl.`getRequirement()`
Constructors in org.apache.felix.framework.wiring with parameters of type BundleRequirement
Modifier
Constructor
Description
``
`BundleWireImpl(BundleRevision requirer, BundleRequirement req, BundleRevision provider, BundleCapability cap)`

## Uses of BundleRequirement in org.osgi.framework.hooks.resolver

Methods in org.osgi.framework.hooks.resolver with parameters of type BundleRequirement
Modifier and Type
Method
Description
`void`
ResolverHook.`filterMatches(BundleRequirement requirement, Collection<BundleCapability> candidates)`
Filter matches hook method.

## Uses of BundleRequirement in org.osgi.framework.wiring

Methods in org.osgi.framework.wiring that return BundleRequirement
Modifier and Type
Method
Description
`BundleRequirement`
BundleWire.`getRequirement()`
Return the `BundleRequirement` for this wire.
Methods in org.osgi.framework.wiring that return types with arguments of type BundleRequirement
Modifier and Type
Method
Description
`List<BundleRequirement>`
BundleRevision.`getDeclaredRequirements(String namespace)`
Returns the requirements declared by this bundle revision.
`List<BundleRequirement>`
BundleWiring.`getRequirements(String namespace)`
Returns the requirements of this bundle wiring.